#!/usr/bin/env bash

function install_homebrew()
{

  if ! which brew>/dev/null; then
    echo "Installing Homebrew"
    /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
  fi

  if ! brew tap | grep caskroom/cask ; then
    echo "Installing caskroom tap"
    brew tap caskroom/cask
  fi

}


function install_casks()
{
  brew cask install google-chrome
  brew cask install docker
  brew cask install caskroom/drivers/logitech-options
}

function install_brews()
{
  #/usr/local/bin/brew update
  brew install tmux
  brew install arp-scan
  brew install neovim
}


function setup_kitty()
{
  # Copy kitty.app to /Applications
  #cp ${KITTY_PATH} /Applications/.
  ln -s ${DOTFILES}/kitty.conf ${HOME}/Library/Preferences/kitty/kitty.conf
}


DOTFILES=/Users/thomas/dotfiles
DOTFILES="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"

${DOTFILES}/ssh/setup.sh
${DOTFILES}/git/setup.sh
${DOTFILES}/NAS_mounts/setup.sh
${DOTFILES}/fish/setup.sh
${DOTFILES}/wm/setup.sh
